<template>

    <div class="row g-5">
        <div v-for="item in data_salad" :key="item.id" class="col-lg-4 col-md-6 wow zoomIn" data-wow-delay="0.6s">
            <div class="service-item bg-light rounded d-flex flex-column align-items-center justify-content-center text-center">

                <img :src="'/product/'+item.image" style="width: 150px;" class="img-thumbnail mb-3" :alt="item.name_th + item.name_en+', ผักสลัดไฮโดรโปนิกส์, ผักสลัดด่านช้าง, ผักสลัดไฮโดรโปนิกส์พระราม3, ผักสลัดไฮโดรโปนิกส์ได้รับมาตรฐาน GAP, GAP, บริการจัดส่งผักสลัดไฮโดรโปนิกส์'">

                <h4 class="mb-3 FC_Ekaluck">{{item.name_th +" ("+ item.name_en+") "}}</h4>

                <p class="p FC_Ekaluck" v-if="!item.readActivated">{{item.discription.slice(0,18)}}...
                    <span class=" badge bg-primary" @click="item.readActivated = !item.readActivated">รายละเอียด</span>
                </p>
                <p class="p FC_Ekaluck" v-if="item.readActivated">{{item.discription}}
                    <span class=" badge bg-primary" @click="item.readActivated = !item.readActivated">ซ่อน</span>
                </p><br><br>

                <!-- <a class="btn btn-lg btn-success rounded" href="#">
                    <i class="bi bi-arrow-right"></i>
                </a> -->
            </div>
        </div>



    </div>
</template>

<script>
export default {
        data(){
            return{
                name:null,
                id_brand:null,
                data_salad:[],
            }
        },
        props:{
            id_type:null
        },
        methods:{
            activateReadMore(readActivated){
                readActivated = true;
        },
            getSalad(){
                axios.post('/api/product_show/list',{
                    id_type : this.id_type,
                    take : 9,
                    to : 1,
                    id_brand : this.id_brand,
                }).then(response =>{
                    // this.data_salad = response.data.data;

                    response.data.data_product.forEach(element => {
                        element.readActivated = false;
                        this.data_salad.push(element);
                    });

                }).catch(err =>{
                    console.log(err);
                })
            }
        },
        computed:{
        },
        mounted: function() {
            this.getSalad();
        },
}
</script>

<style>

</style>
